> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Process Pending Affiliates

Process pending affiliate applications. Allows approving or rejecting affiliates that have submitted signup applications and are awaiting review.


## OpenAPI

````yaml openapi/affiliates.yaml patch /networks/pending/affiliates
openapi: 3.0.3
info:
  title: Everflow Network API - Affiliates
  description: >
    Affiliate management endpoints for the Everflow partner marketing platform.
    Search, retrieve, create, and update affiliate accounts. To learn more about
    partners, see the [Partner
    overview](https://helpdesk.everflow.io/customer/who-is-a-partner-in-everflow).
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Affiliates
    description: Endpoints for searching and managing affiliates.
paths:
  /networks/pending/affiliates:
    patch:
      tags:
        - Affiliates
      summary: Process Pending Affiliates
      requestBody:
        required: true
        content:
          application/json:
            example:
              network_affiliate_ids:
                - 7
              account_status: active
              affiliate_manager_id: 1
              internal_notes: Approved via API
            schema:
              type: object
              required:
                - network_affiliate_ids
                - account_status
              properties:
                network_affiliate_ids:
                  type: array
                  items:
                    type: integer
                    description: An affiliate ID to process.
                  description: Array of affiliate IDs to update.
                account_status:
                  type: string
                  description: New account status.
                  enum:
                    - active
                    - inactive
                    - pending
                    - suspended
                affiliate_manager_id:
                  type: integer
                  description: ID of the affiliate manager to assign.
                internal_notes:
                  type: string
                  description: Internal notes about the status change.
                network_affiliate_tier_id:
                  type: integer
                  description: Affiliate tier ID to assign.
                network_traffic_source_id:
                  type: integer
                  description: Traffic source ID to assign.
      responses:
        '200':
          description: Pending affiliates processed successfully.
          content:
            application/json:
              example:
                result: true
              schema:
                type: object
                properties:
                  result:
                    type: boolean
                    description: >-
                      Whether the pending affiliates were processed
                      successfully.
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````